Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.monitoring.statistics
Interface StatisticsSourceEnabled

All Known Implementing Classes:
  StatisticsCollector

    public interface StatisticsSourceEnabled

Method Summary
`double` | `getHitCount(String key)` Returns sum for all hit count for given key.
`double` | `getHitCountSum()` Returns all hit count for this statistics source (sum of all hit counts for all contained key's).
`Map<String,Double>` | `getHits()` Returns unordered `Map` of summed value of all hit
`Map<String,Long>` | `getHits(long time)` Returns unordered `Map`, where `key` is source name and `value` is sum of hit count, limited only to entry's that are younger then `time` parameter
`long` | `getRequestCount(String key, long time)` Returns hit count for particular `key` in particular `time`

Method Detail

### getHitCount

    double getHitCount(String key)

  Returns sum for all hit count for given key. It will return 0 if given key does not have any statistics data (that means, that 0 if given key does not exist in statistics source).

  Parameters:
    `key` -
  Returns:
    hit count for passed arguments

### getHitCountSum

    double getHitCountSum()

  Returns all hit count for this statistics source (sum of all hit counts for all contained key's).

  Returns:

### getHits

    Map<String,Double> getHits()

  Returns unordered `Map` of summed value of all hit

  Returns:

### getHits

    Map<String,Long> getHits(long time)

  Returns unordered `Map`, where `key` is source name and `value` is sum of hit count, limited only to entry's that are younger then `time` parameter

  Parameters:
    `time` -
  Returns:

### getRequestCount

    long getRequestCount(String key,
                         long time)

  Returns hit count for particular `key` in particular `time`

  Parameters:
    `key` -
    `time` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.